Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.prolog.term
Class AtomTerm

    java.lang.Object
      gnu.prolog.term.Term
          gnu.prolog.term.AtomicTerm
              gnu.prolog.term.AtomTerm

All Implemented Interfaces:
  Serializable, Cloneable

    public class AtomTerm

extends AtomicTerm

Atom term. The objects of this class represent prolog atoms. This encapsulates Strings and chars.

Version:
  0.0.1
Author:
  Constantin Plotnikov
See Also:
  Serialized Form

Field Summary
`String` | `value` value of atom

Fields inherited from class gnu.prolog.term.Term
`ATOM, COMPOUND, FLOAT, INTEGER, JAVA_OBJECT, UNKNOWN, VARIABLE`

Constructor Summary
`protected` | `AtomTerm(String value)` a constructor.

Method Summary
`boolean` | `equals(Object obj)`
`static AtomTerm` | `get(char ch)` get atom term
`static AtomTerm` | `get(String s)` get atom term
`int` | `getTermType()` get type of term
`int` | `hashCode()`
`Object` | `readResolve()` Return an object to replace the object extracted from the stream.

Methods inherited from class gnu.prolog.term.AtomicTerm
`clone, clone`

Methods inherited from class gnu.prolog.term.Term
`dereference, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### value

    public final String value

  value of atom

Constructor Detail

### AtomTerm

    protected AtomTerm(String value)

  a constructor.

  Parameters:
    `value` - value of atom

Method Detail

### get

    public static AtomTerm get(String s)

  get atom term

  Parameters:
    `s` - string representation of atom.
  Returns:
    the AtomTerm for the String

### get

    public static final AtomTerm get(char ch)

  get atom term

  Parameters:
    `ch` - string representation of atom.
  Returns:
    the atom term for the character

### readResolve

    public Object readResolve()

  Return an object to replace the object extracted from the stream. The object will be used in the graph in place of the original.

  Returns:
    resolved object
  See Also:
    `Resolvable`

### getTermType

    public int getTermType()

  get type of term

  Overrides:
    `getTermType` in class `Term`
  Returns:
    type of term

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD